import vl from 'vega-lite-api';
export const viz = vl.markBar({ size: 20 })
  .transform(
    vl.aggregate(
      vl.sum('Count').as('Count'))
    	.groupby(['Community', 'Crime_Type'])
    )
  .encode(
    //vl.y().fieldQ('Population' ).scale({ type: 'log' }),
    vl.column().fieldN('Community').title('Community Type'),
//    vl.y()
//    .fieldQ('Count')
//    .title('Crime Count')
//    .scale({ domain: [15000, 0], range: [0, 180], type: 'symlog' }),
    vl.x()
      .fieldN('Crime_Type')
      .title('Crime Type'),
    vl.y()
      .fieldQ('Count')
      .title('Crime Count')
      .scale({ type: 'log' }),
    vl.color()
      .fieldN('Crime_Type'),
    vl.tooltip()
      .fieldQ('Count')
);
